org.keycloak.adapters.undertow

## Class ServletPreAuthActionsHandler

- java.lang.Object
- - org.keycloak.adapters.undertow.ServletPreAuthActionsHandler

- All Implemented Interfaces:
    io.undertow.server.HttpHandler

      public class ServletPreAuthActionsHandler
      extends Object
      implements io.undertow.server.HttpHandler

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ServletPreAuthActionsHandler.Wrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AdapterDeploymentContext` | `deploymentContext`
    `protected io.undertow.server.HttpHandler` | `next`
    `protected UndertowUserSessionManagement` | `userSessionManagement`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ServletPreAuthActionsHandler(AdapterDeploymentContext deploymentContext, UndertowUserSessionManagement userSessionManagement, io.undertow.server.HttpHandler next)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleRequest(io.undertow.server.HttpServerExchange exchange)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### next

          protected io.undertow.server.HttpHandler next

    - #### userSessionManagement

          protected UndertowUserSessionManagement userSessionManagement

    - #### deploymentContext

          protected AdapterDeploymentContext deploymentContext

  - ### Constructor Detail

    - #### ServletPreAuthActionsHandler

          protected ServletPreAuthActionsHandler(AdapterDeploymentContext deploymentContext,
                                      UndertowUserSessionManagement userSessionManagement,
                                      io.undertow.server.HttpHandler next)

  - ### Method Detail

    - #### handleRequest

          public void handleRequest(io.undertow.server.HttpServerExchange exchange)
                             throws Exception

      Specified by:
        `handleRequest` in interface `io.undertow.server.HttpHandler`
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.